Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.raytracer.engine
Class Intersection

    java.lang.Object
      threeD.raytracer.engine.Intersection

public class Intersection
extends java.lang.Object

An Intersection object stores data for the intersections between a ray and a surface.

Constructor Summary
`Intersection(Ray ray, Surface surface, double[] intersections)` Constructs a new Intersection object that represents an intersection between the specified Ray and Surface objects at the specified points along the ray represented by the Ray object.

Method Summary
`double[]` | `getIntersections()` Returns the intersections stored by this Intersection object.
`Ray` | `getRay()` Returns the Ray object stored by this Intersection object.
`Surface` | `getSurface()` Returns the Surface object stored by this Intersection object.
`java.lang.String` | `toString()` Returns a String representation of this Intersection object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Intersection

    public Intersection(Ray ray,
                        Surface surface,
                        double[] intersections)

  Constructs a new Intersection object that represents an intersection between the specified Ray and Surface objects at the specified points along the ray represented by the Ray object.

Method Detail

### getRay

    public Ray getRay()

  Returns the Ray object stored by this Intersection object.

### getSurface

    public Surface getSurface()

  Returns the Surface object stored by this Intersection object.

### getIntersections

    public double[] getIntersections()

  Returns the intersections stored by this Intersection object.

### toString

    public java.lang.String toString()

  Returns a String representation of this Intersection object.

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray